#ifndef VDTILE_H
#define VDTILE_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include "VDSpawn.h"
#include "VDError.h"



/* **********************************************************************************************************************
   VDTile
   **********************************************************************************************************************/

class VDTile {
public:
    VDTile();
    ~VDTile();

    void WriteTile(HANDLE anOpenFile);
    void ReadTile(HANDLE anOpenFile);

       int GetStatus();
      void SetStatus(int theStatus);
    LPCSTR GetImageFileLocation();
      void SetImageFileLocation(LPCTSTR theImageFileLocation);
    LPCSTR GetNewAreaName();
      void SetNewAreaName(LPCSTR theNewAreaName);
       int GetNewAreaStartingPointX();
       int GetNewAreaStartingPointY();
      void SetNewAreaStartingPoint(int x, int y);
private:
              int status;  // 0 null, 1 open, 2 impassable, 3 new area
             char imageFileLocation[FILE_NAME_MAX_SIZE];
             char newAreaName[FILE_NAME_MAX_SIZE];
              int newAreaStartingPointX;
              int newAreaStartingPointY;
    //list<VDSpawn> spawns; // TODO: we have to change write to write status, imageFileLoc, etc.
};



#endif VDTILE_H  // VDTILE_H